0
0 Items$0.00

170mA Radial Leaded Power Inductors :

8 Products Found
Find a huge range of 170mA Radial Leaded Power Inductors at Newark Electronics Mexico. We stock a wide range of Radial Leaded Power Inductors, such as 1A, 500mA, 1.1A & 1.4A Radial Leaded Power Inductors from the worlds top manufacturers including: Coilcraft, Bourns, Wurth Elektronik, Murata Power Solutions & Kemet

All Filters

(1 Applied)

Expand Filters
Compare
Manufacturer Part No
Order Code
Manufacturer / Description
Availability
Price for
Price
Quantity
Product Range
Inductance
Inductor Construction
RMS Current (Irms)
Saturation Current (Isat)
DC Resistance Max
Inductance Tolerance
13AN7981

RoHS

Date/Lot Code

Each
1+$0.620
10+$0.510
25+$0.445
50+$0.421
100+$0.396
More Pricing...
RLB9012 Series
10mH
-
170mA
-
25.1ohm
± 10%
43AC4109

RoHS

Each
1+$1.160
10+$0.905
25+$0.883
50+$0.860
100+$0.817
More Pricing...
2200R Series
1mH
Unshielded
170mA
-
3.63ohm
± 10%
92AH5867

RoHS

Each
1+$0.725
10+$0.609
25+$0.541
50+$0.516
100+$0.489
More Pricing...
RLB9012 Series
10mH
-
170mA
-
25.1ohm
± 10%
31Y3980

RoHS

Date/Lot Code

Each
1+$1.740
10+$1.500
25+$1.400
50+$1.260
100+$1.110
More Pricing...
RFC1010 Series
15mH
Unshielded
170mA
230mA
19.5ohm
± 10%
31Y3928

RoHS

Date/Lot Code

Each
1+$1.240
10+$1.060
25+$0.974
50+$0.879
100+$0.783
More Pricing...
RFC0807 Series
4.7mH
Unshielded
170mA
290mA
16ohm
± 10%
58AK2023

RoHS

Each
1+$1.290
10+$1.230
25+$1.200
50+$1.160
100+$1.040
More Pricing...
WE-TI Series
7mH
Unshielded
170mA
180mA
16ohm
± 5%
01AH7848

RoHS

Date/Lot Code

Each
1+$2.290
25+$1.810
100+$1.630
250+$1.500
500+$1.450
More Pricing...
SBCP Series
10mH
Unshielded
170mA
310mA
10.86ohm
± 10%
31Y3940

RoHS

Date/Lot Code

Each
1+$1.750
10+$1.510
25+$1.390
50+$1.250
100+$1.110
More Pricing...
RFC0810 Series
10mH
Unshielded
170mA
210mA
19.5ohm
± 10%
1-8 of 8 items
of 1 page(s)

Popular Suppliers

MURATA
PANASONIC
VISHAY
MULTICOMP PRO
KEMET
BOURNS
OHMITE
TE CONNECTIVITY
TDK